%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% File: TraceExtendedPoc.m
% Author: Michael Morin
% Last modified on: May 29, 2011
% Description:
%  The TraceExtendedPoc function file.

%%
% Function: TraceExtendedPoc
% Description:
%  Ouput the extended poc vector on a graph.
% Input:
%  - e_POC: A T by N+1 matrix where e_POC(t,1:N) is the poc value of
%    all regions at time t and where e_POC(t,N+1) is the COS value at time
%    t.
function [] = TraceExtendedPoc(ePOC)
    surf(ePOC);

    hold on;

    title('The extended poc value at time t for region n (epoc(t,N+1) = COS');
    xlabel('1:N, COS');
    ylabel('T');
    zlabel('Extended poc value');

    hold off;
end