%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% File: unitvec.m
% Author: Michael Morin
% Last modified on: May 29, 2011
% Description:
%  The unitvec function file.

%%
% Function: unitvec
% Description:
%  Return a unit vector e (e.g., [0 ; 1 ; 0])
% Input:
%  - i: the index of the 1 element in e
%  - N: the size of e.
% Output:
%  - e: the unit vector.
function [e] = unitvec(i,N)

I = eye(N);

e = I(:,i);